#
# Copyright (c) 2022 Nordic Semiconductor ASA
#
# SPDX-License-Identifier: LicenseRef-Nordic-5-Clause
#

# Forces a maximal log level for all modules.
# Modules saturates their specified level if it is greater than this option,
# otherwise they use the level specified by this option instead of their default
# or whatever was manually set. Levels are:
#
# 0 OFF, logging is turned off
# 1 ERROR, maximal level set to LOG_LEVEL_ERR
# 2 WARNING, maximal level set to LOG_LEVEL_WRN
# 3 INFO, maximal level set to LOG_LEVEL_INFO
# 4 DEBUG, maximal level set to LOG_LEVEL_DBG
CONFIG_LOG_MAX_LEVEL=4

# Increase log buffer size to prevent logs being dropped.
CONFIG_LOG_BUFFER_SIZE=2048

# Location library
CONFIG_LOCATION_LOG_LEVEL_DBG=y

# SMS library
CONFIG_SMS_LOG_LEVEL_DBG=y

# nRF Cloud
CONFIG_NRF_CLOUD_LOG_LEVEL_DBG=y
CONFIG_NRF_CLOUD_GPS_LOG_LEVEL_DBG=y
CONFIG_NRF_CLOUD_REST_LOG_LEVEL_DBG=y

# REST client library
CONFIG_REST_CLIENT_LOG_LEVEL_DBG=y

# Date time
CONFIG_DATE_TIME_LOG_LEVEL_DBG=y

# Settings
CONFIG_SETTINGS_LOG_LEVEL_DBG=y

# LTE link control library
#CONFIG_LTE_LINK_CONTROL_LOG_LEVEL_DBG=y
